Bug 1070396 (CVE-2014-2284)

Summary: CVE-2014-2284 net-snmp: denial of service flaw in Linux implementation of ICMP-MIB
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: jkurik, jsafrane, ksrot, pfrields, thozza
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140225,reported=20140226,source=mageia,cvss2=5/AV:N/AC:L/Au:N/C:N/I:N/A:P,rhel-5/net-snmp=notaffected,rhel-6/net-snmp=affected,rhel-7/net-snmp=notaffected,fedora-all/net-snmp=affected
Fixed In Version: net-snmp 5.5.2.1, net-snmp 5.6.2.1, net-snmp 5.7.2.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-03-26 14:53:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1071753, 1072092, 1073222, 1073223    
Bug Blocks: 1070397    
Attachments:
Description Flags
upstream patch to correct the flaw none

Description Vincent Danen 2014-02-26 17:40:35 UTC
It was reported [1] that Net-SNMP releases 5.5 through 5.7.2 were vulnerable to a potential remotely-triggerable denial of service attack on the Linux platform, when the ICMP-MIB is in use.  Net-SNMP 5.4.x users, and those who do not make use of the ICMP-MIB table objects, are not vulnerable.

This is fixed in git [2].


[1] http://sourceforge.net/p/net-snmp/mailman/message/32026655/
[2] http://sourceforge.net/p/net-snmp/code/ci/a1fd64716f6794c55c34d77e618210238a73bfa1/

Comment 1 Vincent Danen 2014-02-26 17:45:40 UTC
Created attachment 868119 [details]
upstream patch to correct the flaw

I don't like sourceforge's web interface to git so this is the actual patch in a useable form.

Comment 7 Huzaifa S. Sidhpurwala 2014-03-03 06:09:29 UTC
Created net-snmp tracking bugs for this issue:

Affects: fedora-all [bug 1071753]

Comment 10 Murray McAllister 2014-03-06 04:27:27 UTC
MITRE assigned CVE-2014-2284 to this issue:

http://seclists.org/oss-sec/2014/q1/506

Comment 12 Fedora Update System 2014-03-13 05:02:31 UTC
net-snmp-5.7.2-17.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-03-13 05:04:07 UTC
net-snmp-5.7.2-14.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 errata-xmlrpc 2014-03-24 18:05:53 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0321 https://rhn.redhat.com/errata/RHSA-2014-0321.html

Comment 18 Vincent Danen 2014-03-26 14:53:09 UTC
Statement:

Not vulnerable. This issue did not affect the versions of net-snmp as shipped with Red Hat Enterprise Linux 5.